Package com.stardog.stark.query.io.xml

# Class AbstractSPARQLXMLWriter<T>

java.lang.Object
com.stardog.stark.query.io.xml.AbstractSPARQLXMLWriter<T>

All Implemented Interfaces:
  `QueryResultWriter<T>`, `QueryResultHandler<T>`

Direct Known Subclasses:
  `SPARQLXMLBooleanResultWriter`, `SPARQLXMLSelectResultWriter`

public abstract class AbstractSPARQLXMLWriter<T> extends Object implements QueryResultWriter<T>

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINDING_NAME_ATT`
  `static final String`
  `BINDING_TAG`
  `static final String`
  `BNODE_TAG`
  `static final String`
  `BOOLEAN_FALSE`
  `static final String`
  `BOOLEAN_TAG`
  `static final String`
  `BOOLEAN_TRUE`
  `static final String`
  `CONTEXT_TAG`
  `protected boolean`
  `documentOpen`
  `static final String`
  `HEAD_TAG`
  `protected boolean`
  `headerComplete`
  `protected boolean`
  `headerOpen`
  `static final String`
  `HREF_ATT`
  `static final String`
  `LINK_TAG`
  `static final String`
  `LITERAL_DATATYPE_ATT`
  `static final String`
  `LITERAL_LANG_ATT`
  `static final String`
  `LITERAL_TAG`
  `protected final com.stardog.stark.impl.NamespacesImpl`
  `mNamespaces`
  `protected final Options`
  `mOptions`
  `protected final XMLWriter`
  `mWriter`
  `static final String`
  `NAMESPACE`
  `static final String`
  `OBJECT_TAG`
  `static final String`
  `PREDICATE_TAG`
  `static final String`
  `QNAME`
  `static final String`
  `RESULT_SET_TAG`
  `static final String`
  `RESULT_TAG`
  `static final String`
  `ROOT_TAG`
  `static final String`
  `STATEMENT_TAG`
  `static final String`
  `SUBJECT_TAG`
  `protected boolean`
  `tupleVariablesFound`
  `static final String`
  `UNBOUND_TAG`
  `static final String`
  `URI_TAG`
  `static final String`
  `VAR_NAME_ATT`
  `static final String`
  `VAR_TAG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSPARQLXMLWriter(OutputStream theOutputStream, Options theOptions)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `end()`
  Signal that query processing has completed
  `final void`
  `links(List<String> theLinks)`
  Handle the set of links from the result
  `final void`
  `namespace(String thePrefix, String theIRI)`
  `final void`
  `start()`
  Indicates that writing has begun.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.query.io.QueryResultWriter

  `format, handle`

- ## Field Details

  - ### mWriter

    protected final XMLWriter mWriter

  - ### mOptions

    protected final Options mOptions

  - ### documentOpen

    protected boolean documentOpen

  - ### headerOpen

    protected boolean headerOpen

  - ### headerComplete

    protected boolean headerComplete

  - ### tupleVariablesFound

    protected boolean tupleVariablesFound

  - ### mNamespaces

    protected final com.stardog.stark.impl.NamespacesImpl mNamespaces

  - ### NAMESPACE

    static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### ROOT_TAG

    static final String ROOT_TAG
    See Also:
      - Constant Field Values

  - ### HEAD_TAG

    static final String HEAD_TAG
    See Also:
      - Constant Field Values

  - ### LINK_TAG

    static final String LINK_TAG
    See Also:
      - Constant Field Values

  - ### VAR_TAG

    static final String VAR_TAG
    See Also:
      - Constant Field Values

  - ### VAR_NAME_ATT

    static final String VAR_NAME_ATT
    See Also:
      - Constant Field Values

  - ### HREF_ATT

    static final String HREF_ATT
    See Also:
      - Constant Field Values

  - ### BOOLEAN_TAG

    static final String BOOLEAN_TAG
    See Also:
      - Constant Field Values

  - ### BOOLEAN_TRUE

    static final String BOOLEAN_TRUE
    See Also:
      - Constant Field Values

  - ### BOOLEAN_FALSE

    static final String BOOLEAN_FALSE
    See Also:
      - Constant Field Values

  - ### RESULT_SET_TAG

    static final String RESULT_SET_TAG
    See Also:
      - Constant Field Values

  - ### RESULT_TAG

    static final String RESULT_TAG
    See Also:
      - Constant Field Values

  - ### BINDING_TAG

    static final String BINDING_TAG
    See Also:
      - Constant Field Values

  - ### BINDING_NAME_ATT

    static final String BINDING_NAME_ATT
    See Also:
      - Constant Field Values

  - ### URI_TAG

    static final String URI_TAG
    See Also:
      - Constant Field Values

  - ### BNODE_TAG

    static final String BNODE_TAG
    See Also:
      - Constant Field Values

  - ### LITERAL_TAG

    static final String LITERAL_TAG
    See Also:
      - Constant Field Values

  - ### LITERAL_LANG_ATT

    static final String LITERAL_LANG_ATT
    See Also:
      - Constant Field Values

  - ### LITERAL_DATATYPE_ATT

    static final String LITERAL_DATATYPE_ATT
    See Also:
      - Constant Field Values

  - ### UNBOUND_TAG

    static final String UNBOUND_TAG
    See Also:
      - Constant Field Values

  - ### QNAME

    static final String QNAME
    See Also:
      - Constant Field Values

  - ### STATEMENT_TAG

    static final String STATEMENT_TAG
    See Also:
      - Constant Field Values

  - ### SUBJECT_TAG

    static final String SUBJECT_TAG
    See Also:
      - Constant Field Values

  - ### PREDICATE_TAG

    static final String PREDICATE_TAG
    See Also:
      - Constant Field Values

  - ### OBJECT_TAG

    static final String OBJECT_TAG
    See Also:
      - Constant Field Values

  - ### CONTEXT_TAG

    static final String CONTEXT_TAG
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractSPARQLXMLWriter

    public AbstractSPARQLXMLWriter(@Nonnull OutputStream theOutputStream, @Nonnull Options theOptions)

- ## Method Details

  - ### links

    public final void links(@Nonnull List<String> theLinks) throws ResultWritingFailed
    Handle the set of links from the result
    Specified by:
      `links` in interface `QueryResultHandler<T>`
    Specified by:
      `links` in interface `QueryResultWriter<T>`
    Parameters:
      `theLinks` - The links
    Throws:
      `ResultWritingFailed`
    See Also:
      - "link"

  - ### namespace

    public final void namespace(@Nonnull String thePrefix, @Nonnull String theIRI) throws ResultWritingFailed
    Specified by:
      `namespace` in interface `QueryResultWriter<T>`
    Throws:
      `ResultWritingFailed`

  - ### start

    public final void start() throws ResultWritingFailed
    Indicates that writing has begun.
    Specified by:
      `start` in interface `QueryResultHandler<T>`
    Specified by:
      `start` in interface `QueryResultWriter<T>`
    Throws:
      `ResultWritingFailed` - if writing failed.

  - ### end

    public final void end() throws ResultWritingFailed
    Signal that query processing has completed
    Specified by:
      `end` in interface `QueryResultHandler<T>`
    Specified by:
      `end` in interface `QueryResultWriter<T>`
    Throws:
      `ResultWritingFailed`